Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.expression
Class DumpVisitor

    java.lang.Object
      org.codehaus.aspectwerkz.expression.DumpVisitor

All Implemented Interfaces:
  ExpressionParserVisitor

    public class DumpVisitor

extends Object
implements ExpressionParserVisitor

TODO: do we need that, there is a dump() method in jjtree API

Author:
  Jonas BonŽr , Michael Nascimento

Method Summary
`static void` | `dumpAST(Node root)`
`Object` | `visit(ASTAnd node, Object data)`
`Object` | `visit(ASTArgParameter node, Object data)`
`Object` | `visit(ASTArgs node, Object data)`
`Object` | `visit(ASTAttribute node, Object data)`
`Object` | `visit(ASTCall node, Object data)`
`Object` | `visit(ASTCflowBelow node, Object data)`
`Object` | `visit(ASTCflow node, Object data)`
`Object` | `visit(ASTClassPattern node, Object data)`
`Object` | `visit(ASTConstructorPattern node, Object data)`
`Object` | `visit(ASTExecution node, Object data)`
`Object` | `visit(ASTExpression node, Object data)`
`Object` | `visit(ASTFieldPattern node, Object data)`
`Object` | `visit(ASTGet node, Object data)`
`Object` | `visit(ASTHandler node, Object data)`
`Object` | `visit(ASTHasField node, Object data)`
`Object` | `visit(ASTHasMethod node, Object data)`
`Object` | `visit(ASTMethodPattern node, Object data)`
`Object` | `visit(ASTModifier node, Object data)`
`Object` | `visit(ASTNot node, Object data)`
`Object` | `visit(ASTOr node, Object data)`
`Object` | `visit(ASTParameter node, Object data)`
`Object` | `visit(ASTPointcutReference node, Object data)`
`Object` | `visit(ASTRoot node, Object data)`
`Object` | `visit(ASTSet node, Object data)`
`Object` | `visit(ASTStaticInitialization node, Object data)`
`Object` | `visit(ASTTarget node, Object data)`
`Object` | `visit(ASTThis node, Object data)`
`Object` | `visit(ASTWithinCode node, Object data)`
`Object` | `visit(ASTWithin node, Object data)`
`Object` | `visit(SimpleNode node, Object data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### dumpAST

    public static void dumpAST(Node root)

### visit

    public Object visit(SimpleNode node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTRoot node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTExpression node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTOr node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTAnd node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTNot node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTExecution node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTCall node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTSet node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTGet node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTHandler node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTWithin node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTWithinCode node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTStaticInitialization node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTCflow node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTCflowBelow node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTHasMethod node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTHasField node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTTarget node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTThis node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTClassPattern node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTMethodPattern node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTConstructorPattern node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTFieldPattern node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTPointcutReference node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTParameter node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTArgs node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTArgParameter node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTAttribute node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

### visit

    public Object visit(ASTModifier node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.